#include <stdio.h>
#include <math.h>
#include "fonctions_TP4_exo1.h"



void main()
{	
	int continuer;
	int choix, n1 = 0, n2;
	int lefib;
	
	do
	{
		printf("Tapez\n, 1 pour n^p\n, 2 pour le multiple\n, 3 pour le factorielle\n, 4 pour le pgcd\n, 5 pour savoir si un nombre est premier\n, 6 pour la suite de Fibonacci\n");
		scanf("%d", &choix);
		switch(choix)
		{
			case 1 :printf("entrez le nombre\n");
					scanf("%d", &n1);
					printf("entrez la puissance\n");
					scanf("%d", &n2);
					printf("le resultat est de %d\n", puissance(n1, n2));
					break;
	
	    
			case 2 :printf("entrez le multiple\n");
					scanf("%d", &n1);
					printf("entrez le nombre\n");
					scanf("%d", &n2);

					if (multiple(n1, n2)==0)
						printf("le premier nombre n'est pas multiple du deuxieme nombre\n");
					else
						printf("le premier nombre est multiple du deuxieme\n");
					break;
		
		
			case 3 :printf("entrez le nombre dont vous voulez calculer le factorielle\n");
					scanf("%d", &n1);
					printf("le factorielle est egale a %d\n", fact(n1));
					break;

		
			case 4 :printf("entrez le premier nombre\n");
					scanf("%d", &n1);
					printf("entrez le second nombre\n");
					scanf("%d", &n2);
					printf(" le pgcd des deux nombres est %d\n", pgcd(n1, n2));
					break;
	

			case 5 :printf("entrez un nombre\n");
					scanf("%d", &n1);

					if(nbprem(n1)=='O')
						printf("ce nombre est premier\n");
					else
						printf("ce nombre n'est pas premier\n");
					break;
		
		
			case 6 :printf("entrez un nombre\n");
					scanf("%d", &n1);
					lefib=fibo(n1);
					printf("la %d ieme valeur de la suite de fibonacci est : %d\n", n1, lefib);
	
		
	
		}
		
		printf("voulez-vous continuer : 1 pour oui, non pour 2\n");
		fflush(stdin);
		scanf("%d", &continuer);
		printf ("continuer = %d\n", continuer) ;
	}
	while (continuer == 1);
    
	system("PAUSE");
	 

}
